## org.eclipse.m2m.atl.adt.ui.compatibility
Class RestartDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.IconAndMessageDialog
                  org.eclipse.jface.dialogs.MessageDialog
                      org.eclipse.m2m.atl.adt.ui.compatibility.RestartDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class RestartDialog

extends org.eclipse.jface.dialogs.MessageDialog

A dialog which prompts the user to restart after an update operation and provides Yes, No, Continue buttons.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.MessageDialog
`CONFIRM, ERROR, INFORMATION, NONE, QUESTION, QUESTION_WITH_CANCEL, WARNING`

Fields inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog
`imageLabel, message, messageLabel`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`RestartDialog(org.eclipse.swt.widgets.Shell parent, java.lang.String title, java.lang.String message, boolean restartNeeded)` Creates a new dialog.

Method Summary
`protected void` `buttonPressed(int id)`
`int` `getResult()` Returns the user's selection, `null` if the user hasn't chosen yet.
`static boolean` `openQuestion(org.eclipse.swt.widgets.Shell parent, boolean restartIsReallyNeeded)` Convenience method to open the Yes/No/Continue question dialog.

Methods inherited from class org.eclipse.jface.dialogs.MessageDialog
`configureShell, createButton, createButtonsForButtonBar, createCustomArea, createDialogArea, customShouldTakeFocus, getButton, getButtonLabels, getDefaultButtonIndex, getImage, getMinimumMessageWidth, handleShellCloseEvent, open, open, openConfirm, openError, openInformation, openQuestion, openWarning, setButtonLabels, setButtons`

Methods inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog
`createButtonBar, createContents, createDialogAndButtonArea, createMessageArea, getErrorImage, getInfoImage, getMessageLabelStyle, getQuestionImage, getWarningImage`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestartDialog

    public RestartDialog(org.eclipse.swt.widgets.Shell parent,
                         java.lang.String title,
                         java.lang.String message,
                         boolean restartNeeded)

  Creates a new dialog.

  Parameters:
    `parent` - the parent shell
    `title` - the dialog title
    `message` - the dialog message
    `restartNeeded` - true if need to restart eclipse
  See Also:
    `MessageDialog.MessageDialog(org.eclipse.swt.widgets.Shell, java.lang.String, org.eclipse.swt.graphics.Image, java.lang.String, int, java.lang.String[], int)`

Method Detail

### openQuestion

    public static boolean openQuestion(org.eclipse.swt.widgets.Shell parent,
                                       boolean restartIsReallyNeeded)

  Convenience method to open the Yes/No/Continue question dialog.

  Parameters:
    `parent` - the parent shell of the dialog, or `null` if none
    `restartIsReallyNeeded` - when false, the changes are applied to the current config
  Returns:
    `true` if the user presses YES `false` otherwise

### buttonPressed

    protected void buttonPressed(int id)

  Overrides:
    `buttonPressed` in class `org.eclipse.jface.dialogs.MessageDialog`
  See Also:
    `MessageDialog.buttonPressed(int)`

### getResult

    public int getResult()

  Returns the user's selection, `null` if the user hasn't chosen yet.

  Returns:
    the user's selection or `null`

Copyright 2007 IBM Corporation and others. All Rights Reserved.